Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-15407

Fuse Console fails on upgrading via operatorhub

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Blocker
    • Resolution: Done
    • fuse-7.8-GA
    • fuse-7.8-GA
    • Fuse Console
    • None

    Description

      When upgrading from the 7.7 bundle in redhat.registry.io to registry-proxy.engineering.redhat.com/rh-osbs/fuse7-fuse-console-operator-metadata:1.8-3 the upgrade process fails with following message:

      error validating existing CRs agains new CRD's schema: hawtios.hawt.io: error validating custom resource against new schema &apiextensions.CustomResourceValidation{OpenAPIV3Schema*apiextensions.JSONSchemaProps)(0xc003317200)}: [].spec.type: Unsupported value: "Cluster": supported values: "cluster", "namespace"

      The CR is the example 7.7 CR

      Attachments

        Activity

          People

            astefanu@redhat.com Antonin Stefanutti
            mmuzikar Martin Muzikar
            Juri Solovjov Juri Solovjov
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: